#!/bin/sh

#test -f /knoppix/KNOPPIX/orig.KNOPPIX || exit
test -f /knoppix/KNOPPIX/TUDIX || exit

echo "* Create master repository"
rm -rf mastercd
mkdir mastercd

cp -r Tudix/* mastercd/
cp /knoppix/KNOPPIX/TUDIX mastercd/KNOPPIX/KNOPPIX

echo "* MD5 sum"
cd mastercd
find . | cut -d "/" -f 2- | xargs md5sum >/tmp/md5sums 2>/dev/null
mv /tmp/md5sums KNOPPIX/
cd ..

echo "* Build ISO image"
mkisofs -l -r -J -v -V "Tudix" \
	-b KNOPPIX/boot.img -c KNOPPIX/boot.cat \
	-hide-rr-moved -o knoppix-1.0-final-rev.iso mastercd/

